<?php

/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Wimple Lite
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
<![endif]-->
<?php wp_head(); ?>
</head>
<?php
	if( get_theme_mod('wimple_logo') ) {
		$class = ' logo-image';
	} else {
		$class = '';
	}
?>
<body <?php body_class(); ?>>

<div id="page" class="hfeed site line-layout">
	<header id="masthead" class="site-header" role="banner">
		<div class="header-content<?php echo $class; ?> clear">
			<div class="inner clearfix">
				<div class="site-branding">
					<?php if( get_theme_mod('wimple_logo') ) : ?>
						<a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><img src='<?php echo esc_url( get_theme_mod( 'wimple_logo' ) ); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>
					<?php else : ?>
						<h1 class="site-title">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" title="<?php bloginfo( 'description' ); ?>">
							<?php if( get_theme_mod('blogname') ) : ?>
								<?php echo esc_url( get_theme_mod( 'blogname' ) ); ?>
							<?php else : ?>
								<?php bloginfo( 'name' ); ?>
							<?php endif; ?>
							</a>
						</h1>
						<h2 class="site-description">
							<?php if( get_theme_mod('blogdescription') ) : ?>
								<?php echo esc_url( get_theme_mod( 'blogdescription' ) ); ?>
							<?php else : ?>
								<?php bloginfo( 'description' ); ?>
							<?php endif; ?>
							</a>
						</h2>
					<?php endif; ?>
				</div><!-- .site-branding -->
				<nav id="site-navigation" class="main-navigation" role="navigation">
					<a href="#" class="toggle-menu"><i class="fa fa-bars"></i></a>
					<?php
						if ( has_nav_menu( 'primary' ) ) {
						    wp_nav_menu( array('theme_location' => 'primary', 'menu_class' => 'menu nav-menu clear')); 
						} else {
					?>
					<div class="menu-main-menu-container">
						<ul id="menu-main-menu" class="menu nav-menu clear">
							<?php wp_list_pages('title_li=&sort_column=menu_order'); ?>
						</ul>
					</div>
					<?php } ?>
				</nav><!-- #site-navigation -->
			</div>
		</div>
	</header><!-- #masthead -->
	
	<div id="content" class="site-content">