<?php
/**
|------------------------------------------------------------------------------
| Static Control
|------------------------------------------------------------------------------
*/

class wimple_Theme_Info extends WP_Customize_Control
	{
		public function render_content()
		{
			echo $this->description;
		}
	}
/**
|------------------------------------------------------------------------------
| OPTIONS
|------------------------------------------------------------------------------
*/

		$wp_customize->add_panel( 'panel_general', array(
			'priority' => 30,
			'capability' => 'edit_theme_options',
			'theme_supports' => '',
			'title' => __( 'General Options', 'wimple' )
		));

		/*******************
		* Section: Excerpt *
		********************/
		$wp_customize->add_section( 'wimple_general_excerpt_section' , array(
				'title'       		=> __( 'Excerpt', 'wimple' ),
				'priority'    		=> 2,
				'section' 			=> 'wimple_general_section',
				'panel' 			=> 'panel_general'
		));

		/* Excerpt Length */
		$wp_customize->add_setting('wimple_general_excerpt_lengh', array('sanitize_callback' => 'wimple_sanitize_text', 'default' => 34));
		$wp_customize->add_control( 'wimple_general_excerpt_lengh', array(
		  	'type' 					=> 'number',
		  	'section' 				=> 'wimple_general_excerpt_section',
		  	'label' 				=> __( 'Excerpt Length', 'wimple' ),
		  	'description' 			=> __( 'Number of word as Expert Length To be Shown in Home/Archive pages when you choose to show entry text as Excerpt.', 'wimple'),
		));

		/* Excerpt End Text */
		$wp_customize->add_setting('wimple_general_excerpt_end_text', array('sanitize_callback' => 'wimple_sanitize_text', 'default' => '...'));
		$wp_customize->add_control( 'wimple_general_excerpt_end_text', array(
		  	'type' 					=> 'text',
		  	'section' 				=> 'wimple_general_excerpt_section',
		  	'label' 				=> __( 'Excerpt Length', 'wimple' ),
		));
		

		/**********************
		* Section: Pagination *
		***********************/
		$wp_customize->add_section( 'wimple_general_pagination_section' , array(
			'title'       			=> __( 'Pagination Mode', 'wimple' ),
			'priority'    			=> 4,
			'panel' 				=> 'panel_general'
		));

		$wp_customize->add_setting('wimple_general_pagination_mode', array(
        	'default'        	=> 'default',
        	'capability'     	=> 'edit_theme_options',
        	'sanitize_callback' => 'wimple_sanitize_text',
	    ));
	    $wp_customize->add_control( 'wimple_general_pagination_mode', array(
	        'label'   			=> 'Choose Pagination Type',
	        'section' 			=> 'wimple_general_pagination_section',
	        'type'    			=> 'radio',
	        'priority'			=> 1,
	        'choices'    		=> array(
	            'default' 				=> __('Default (Older Posts/Newer Posts)', 'wimple'),
	            'numberal' 				=> __('Numberal (1 2 3 ..)', 'wimple'),
	        ),
	    ));