(function($) {
	var themecountry = {
		initAll: function() {
			this.selectExportData();
			this.showHideOptionStyle();
			this.breadcrumbs();
			this.showHideOptionSocialButtons();
			this.showHideOptionSlideshow();
			this.showHideTypeSlideshow();
			this.showHideShowExcerpt();
			this.showHideShowMetaInfo();
			this.showHideRelatedPosts();
			this.saveTypoGrapography();
			this.preventNumberofSlide();
		},
		breadcrumbs: function() {
			var breadcrumbs = $('#setting_yoast_breadcrumb');
			if ( $('#breadcrumb-0').is(':checked') ) {
				breadcrumbs.show();
			} else {
				breadcrumbs.hide();
			}
			$('#setting_breadcrumb .on-off-switch label').click(function() {
				var labelText = $(this).text();
				if(labelText == 'On') {
					breadcrumbs.show();
				} else if (labelText == 'Off') {
					breadcrumbs.hide();
				}
			});
		},
		preventNumberofSlide: function() {
			$('#section_option_home_slider #number-of-post').blur(function() {
				if( $(this).val() == '0' ) {
					alert('Not allow 0 value!');
					$(this).val('5');
				}
			});
		},
		showHideRelatedPosts: function() {
			var relatedPost = $('#setting_related-posts-taxonomy, #setting_number-related, #setting_display-related-posts');
			var relatedPostShowHide = $('#setting_related-posts-taxonomy, #setting_number-related, #setting_display-related-posts');
			if ( $('#post-related-0').is(':checked') ) {
				relatedPost.show();
			} else {
				relatedPost.hide();
			}
			$('#setting_post-related .on-off-switch label').click(function() {
				var labelText = $(this).text();
				if(labelText == 'On') {
					relatedPostShowHide.show();
				} else if (labelText == 'Off') {
					relatedPostShowHide.hide();
				}
			});
		},
		showHideShowMetaInfo: function() {
			themecountry.customizeShowHideShowMetaInfo();
			$('#setting_home-post-meta .radio').click(function() {
				themecountry.customizeShowHideShowMetaInfo();
			});
		},
		customizeShowHideShowMetaInfo: function() {
			$('#setting_home-post-meta').find('input[type="radio"]').each(function(){
				if ( $(this).is(':checked') && $(this).attr('id') == 'home-post-meta-0' ) {
					$('#setting_home-post-meta-show').show();
				} else if ( $(this).is(':checked') && $(this).attr('id') == 'home-post-meta-1' ) {
					$('#setting_home-post-meta-show').hide();
				}
			});
		},

		showHideShowExcerpt: function() {
			themecountry.customizeShowHideShowExcerpt();
			$('#setting_post-text .radio').click(function() {
				themecountry.customizeShowHideShowExcerpt();
			});
		},
		customizeShowHideShowExcerpt: function() {
			$('#setting_post-text').find('input[type="radio"]').each(function(){
				var postExcerpt = $('#setting_excerpt-length, #setting_home-post-read-more');
				if ( $(this).is(':checked') && $(this).attr('id') == 'post-text-0' ) {
					postExcerpt.show();
				} else if ( $(this).is(':checked') && $(this).attr('id') == 'post-text-1' ) {
					postExcerpt.hide();
				}
			});
		},
		showHideTypeSlideshow: function() {
			if ( $('#type-of-slider-0').is(':checked') ) {

				$('#setting_customize_slider_option').hide();
			} else {

				$('#setting_category-slide-option').hide();
			}
		
			$('#setting_type-of-slider .on-off-switch label').click(function() {
				var labelText = $(this).text();
				if(labelText == 'On') {
					$('#setting_customize_slider_option').hide();
					$('#setting_category-slide-option').show();
				} else if (labelText == 'Off') {
					$('#setting_category-slide-option').hide();
					$('#setting_customize_slider_option').show();
				}
			});
		},
		showHideOptionSlideshow: function() {
			var sliderShow = $('#setting_number-of-post, #setting_type-of-slider, #setting_category-slide-option, #setting_customize_slider_option');
			if ( $('#enable-home-slider-0').is(':checked') ) {
				sliderShow.show();
			} else {
				sliderShow.hide();
			}
		
			$('#setting_enable-home-slider .on-off-switch label').click(function() {
				var labelText = $(this).text();
				if(labelText == 'On') {
					$('#setting_number-of-post, #setting_type-of-slider, #setting_category-slide-option').show();
					$('#type-of-slider-0').prop('checked', true);
				} else if (labelText == 'Off') {
					$('#setting_number-of-post, #setting_type-of-slider, #setting_category-slide-option,#setting_customize_slider_option').hide();
				}
			});
		},
		showHideOptionSocialButtons: function() {
			var socialButton = $('#setting_twitter-username, #setting_social-sharing-pos, #setting_social-twitter, #setting_social-twitter, #setting_social-facebook, #setting_social-google-plus, #setting_social-google-plus, #setting_social-linkedin, #setting_social-pinterest');
			if ( $('#social-button-enable-0').is(':checked') ) {
				socialButton.show();
			} else {
				socialButton.hide();
			}
			$('#setting_social-button-enable .on-off-switch label').click(function() {
				var labelText = $(this).text();
					
				if(labelText == 'On') {
					$('#setting_social-sharing-pos p:first-child input[type="checkbox"]').prop('checked', true);
					socialButton.show();
				} else if (labelText == 'Off') {
					socialButton.hide();
				}
			});
		},
		showHideOptionStyle: function() {
			var opitonStyle = $('#setting_primary_header_color, #setting_secondary_header_color');
			if ( $('#on-off-option-style-0').is(':checked') ) {
				$('#setting_header_style').hide();
			} else {
				opitonStyle.hide();
			}
		
			$('#setting_on-off-option-style .on-off-switch label').click(function() {
				var labelText = $(this).text();
				if(labelText == 'On') {
					$('#setting_header_style').hide();
					opitonStyle.show();
					
				} else if (labelText == 'Off') {
					opitonStyle.hide();
					$('#setting_header_style').show();
				}
			});
		},
		selectExportData: function() {
			$("#tab_option_import_export").on('click', function(){
				$('.tc-export-data').focus().select();
			});

			$('.tc-export-data').on('focus', function(){
				$(this).select()
			});
		},
		saveTypoGrapography: function() {
			
			$("#option-tree-sub-header > button, #option-tree-settings-api > .option-tree-ui-buttons > button").on('click', function(e) {
				e.preventDefault();

				var collectionData = new Array();
			i=0;
      
			$("#google_typography").find(".collections .collection").each(function() {
        
				/*if(showLoading != false) {
					collection.find(".save_collection").addClass("saving").html("Saving...");
				}*/

				previewText  = $(this).find(".preview_text").val();
				previewColor = $(this).find(".preview_color li.current a").attr("class");
				fontFamily   = $(this).find(".font_family").val();
				fontVariant  = $(this).find(".font_variant").val();
				fontSize     = $(this).find(".font_size").val();
				fontColor    = $(this).find(".font_color").val();
				cssSelectors = $(this).find(".css_selectors").val();
				isDefault    = $(this).attr("data-default");
        
				collectionData[i] = {
					uid           : i+1,
					preview_text  : previewText,
					preview_color : previewColor,
					font_family   : fontFamily,
					font_variant  : fontVariant, 
					font_size     : fontSize,
					font_color    : fontColor,
					css_selectors : cssSelectors,
					default       : isDefault
				};
  
				i++;
        
			});

			$.ajax({
	        	url: ajaxurl,
		        type:'POST',
		        data: {  'action' : 'save_user_fonts',  'collections' : collectionData },
		        beforeSend : function() {
		        	$('.option-tree-ui-buttons .spinner, #option-tree-sub-header .spinner').show();
		        }
		        
		    }).done(function(html) {
		    	setTimeout(function() {
		    		$('.option-tree-ui-buttons .spinner, #option-tree-sub-header .spinner').hide();
		    	}, 4000);
		    	$("#option-tree-settings-api").submit();
		    });
			//saveCollections(collection, container);
					
			});
		}
	}

	$(document).ready(function() {
        themecountry.initAll();
    });
})(jQuery);